/****************************************************************************
 * NCSA H4toH5 Conversion Library and related utilites                      *
 * National Center for Supercomputing Applications                          *
 * University of Illinois at Urbana-Champaign                               *
 * 605 E. Springfield, Champaign IL 61820                                   *
 * http://hdf.ncsa.uiuc.edu/                                                *
 *                                                                          *
 * Copyright by the Board of Trustees of the University of Illinois.        * 
 * All rights reserved.                                                     *
 *                                                                          *
 * This file is part of the H4toH5 Conversion Library and related utilites. *
 * The full copyright notice, including terms governing use, modification,  *
 * and redistribution, is contained in the files COPYING and Copyright.html.*
 * COPYING can be found at the root of the source code distribution tree,   *
 * i.e., in h4h5tools/COPYING.  Copyright.html can be found at the root     *
 * level of an installed copy of the electronic document set and is linked  *
 * from the "H4toH5 Conversion Library User's Guide" and the "H4toH5        *
 * Conversion Library Reference Manual."  It can also be found at           *
 * http://hdf.ncsa.uiuc.edu/h4toh5/Copyright.html.  If you do not have      *
 * access to either file, you may request a copy from hdfhelp@ncsa.uiuc.edu.*
 ****************************************************************************/

/*
 * This file contains function prototypes for each exported function in
 * the H4TOH5I module.
 */
#ifndef _H4TOH5Ipublic_H
#define _H4TOH5Ipublic_H

/* Public headers needed by this file */
#include "hdf5.h"
#include <stdlib.h>
#include <stdio.h>
#include <assert.h>
/*
 * Group values allowed.  Start with `1' instead of `0' because it makes the
 * tracing output look better when hid_t values are large numbers.  Change the
 * GROUP_BITS in H4TOH5I.c if the MAXID gets larger than 32 (an assertion will
 * fail otherwise).
 */
typedef enum {
    H4TOH5I_BADID		= (-1),	/*invalid Group				    */
    H4TOH5I_H4TOH5,
    H4TOH5I_NGROUPS		        /*number of valid groups, MUST BE LAST!	    */
} H4TOH5I_type_t;

/* Type of atoms to return to users */
typedef unsigned int h4toh5_uint;
H4TOH5I_type_t H4TOH5Iget_type(hid_t id);

#endif
